/*
  M3TS Mega Menu styles
*/
#main-header.unset-relative-header > .fl-row-content-wrap > .fl-row-content {
  position: unset !important;
}
#menu-m3ts-native-mega-menu {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  gap: 20px;
}
#menu-m3ts-native-mega-menu > li {
  position:static;
}
#menu-m3ts-native-mega-menu > li > span,
#menu-m3ts-native-mega-menu > li > a {
  color:white;
  padding:10px;
  cursor: pointer;
}
#menu-m3ts-native-mega-menu > li.menu-item-has-children > span {
  position:relative;
}
#menu-m3ts-native-mega-menu > li.menu-item-has-children > span::before {
  content: "";
  border: solid #ffffff;
  border-width: 0 3px 3px 0;
  display: inline-block;
  right: -10px;
  position: absolute;
  top: 15px;
  padding: 3px;
  vertical-align: middle;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  -webkit-transition: all 0.2s linear;
  -moz-transition: all 0.2s linear;
  -ms-transition: all 0.2s linear;
  -o-transition: all 0.2s linear;
  transition: all 0.2s linear;
}
#menu-m3ts-native-mega-menu > li.menu-item-has-children:hover > span::before {
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}
#menu-m3ts-native-mega-menu li a {
  color:white;
  font-size:16px;
  font-family: 'Poppins', sans-serif;
}
#menu-m3ts-native-mega-menu li > ul {
  display:none;
}
#menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 {
  display: grid;
  grid-template-columns: repeat(6,1fr);
  position: absolute;
  width: 100%;
  left: 0;
  background: rgba(0,0,0,0.9);
  padding: 0 15px;
  z-index:999;
}
#menu-m3ts-native-mega-menu li:hover > .menu-depth-1 > li {
  color: white;
  width: 100%;
  padding: 15px 0;
}
#menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-2.menu-depth-2 li.image-background {
  background-size: cover !important;
  height: 150px;
  width: 100%;
  border: 1px solid dimgrey;
  text-transform: none;
  font-size: 16px;
  position: relative;
  margin-bottom: 30px;
  filter: grayscale(100%);
}
#menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-2.menu-depth-2 li.image-background:hover {
  filter:none;
}
ul.menu .sub-menu.ul-menu-level-1.menu-depth-1 > li > .sub-menu.ul-menu-level-2.menu-depth-2 > li > a,
ul.menu .sub-menu.ul-menu-level-1.menu-depth-1 > li > .sub-menu.ul-menu-level-2.menu-depth-2 > li > .click-trigger {
  height: 148px;
  position: relative;
  display: block;
  background: rgb(255,255,255);
  background: -moz-linear-gradient(180deg, rgba(255,255,255,0.1) 0%, rgba(0,0,0,7) 100%);
  background: -webkit-linear-gradient(180deg, rgba(255,255,255,0.1) 0%, rgba(0,0,0,7) 100%);
  background: linear-gradient(180deg, rgba(255,255,255,0.1) 0%, rgba(0,0,0,7) 100%);
  padding-left: 10px;
  line-height: 16;
}
#menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2,
#menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
  width: 100%;
  flex-direction: row;
  gap: 20px;
  position: absolute;
  left: 0;
  top: 75%;
  display: grid;
  grid-template-columns: repeat(6,1fr);
  text-transform: uppercase;
  background: rgba(0,0,0,0.9);
  top: 56px;
  padding: 15px;
  z-index:9999;
  padding-bottom:60px;
}
.sub-menu.ul-menu-level-1.menu-depth-1 > .initially-visible > .click-trigger {
  padding: 18px 0;
}
.sub-menu.ul-menu-level-1.menu-depth-1 > li > .click-trigger {
  cursor: pointer;
  margin-left:10px;
  padding: 18px 0;
}
.menu-m3ts-native-mega-menu-container .mobile-menu-trigger {
  display:none;
}
ul#menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 li:not(.initially-visible) ul.sub-menu.ul-menu-level-2.menu-depth-2 {
  visibility: hidden;
  display: none;
}
#menu-m3ts-native-mega-menu li:hover > .menu-depth-1 > li:hover,
#menu-m3ts-native-mega-menu li:hover > .menu-depth-1 > li.initially-visible {
  background: #C83A23;
  transition:all linear 0.2s;
}
@media screen and (max-width:1630px) {
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 > li > .click-trigger {
    width:75%;
    display:block;
  }
  .sub-menu.ul-menu-level-1.menu-depth-1 > li > .click-trigger {
    cursor: pointer;
    margin-left: 10px;
    padding: 0;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    top: 70px;
  }
  .sub-menu.ul-menu-level-1.menu-depth-1 > .initially-visible > .click-trigger {
    padding-bottom: 0px;
    padding-top:0px;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    top: 82px;
  }
}
@media screen and (max-width:1319px) {
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    top: 108px;
  }
}
@media screen and (max-width:992px) {
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    grid-template-columns: repeat(4,1fr);
  }
  .sub-menu.ul-menu-level-1.menu-depth-1 > li > .click-trigger,
  .sub-menu.ul-menu-level-1.menu-depth-1 > .initially-visible > .click-trigger {
    padding:0;
  }
}
@media screen and (max-width:960px) {
  #menu-m3ts-native-mega-menu {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }
}
@media screen and (max-width:814px) {
  #menu-m3ts-native-mega-menu {
    display:none;
  }
  .menu-m3ts-native-mega-menu-container .mobile-menu-trigger {
    display: block;
    width: 48px;
    height: 42px;
    background: url('./../images/hamburger-icon.png');
    background-repeat:no-repeat;
    background-size:cover;
    cursor: pointer;
    float: right;
  }
  .menu-m3ts-native-mega-menu-container .mobile-menu-trigger::after {
    top:10px;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    grid-template-columns: repeat(3,1fr);
  }
  #menu-m3ts-native-mega-menu.exposed-mega-menu {
    display: flex;
    flex-direction: column;
    position: absolute;
    background: rgba(0,0,0,0.9);
    width: 100%;
    left: 0;
    top: 85px;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 {
    display:flex;
    flex-direction:column;
    position:unset;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    position:unset;
  }
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 > li > .click-trigger {
    width: 100%;
    display: block;
  }
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-2.menu-depth-2 li.image-background {
    margin-bottom:70px;
  }
  #menu-m3ts-native-mega-menu.exposed-mega-menu {
    padding: 15px 0;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    padding-bottom:0;
  }
  #menu-m3ts-native-mega-menu li:hover > .menu-depth-1 > li:hover {
    background: transparent;
    transition: all linear 0.2s;
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2,
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 {
    background:transparent;
  }
}
@media screen and (max-width:768px) {
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2, 
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    grid-template-columns: repeat(2,1fr);
  }
  #menu-m3ts-native-mega-menu li:hover > ul.menu-depth-1 > li:hover ul.menu-depth-2,
  #menu-m3ts-native-mega-menu .sub-menu.ul-menu-level-1.menu-depth-1 .initially-visible .sub-menu.ul-menu-level-2.menu-depth-2 {
    padding-bottom: 0px;
  }
}

ul#menu-m3ts-native-mega-menu > li.vertical-dropdown,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown {
  position: relative;
}

ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1 {
  display: flex;
  flex-direction: column;
  padding: 0;
  width:200px;
}
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1 li a,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1 li a,
ul#menu-m3ts-native-mega-menu > li.vertical-dropdown:hover > .sub-menu.ul-menu-level-1.menu-depth-1 li a {
  width:100%;
  display:block;
  text-indent:10px;
}
ul#menu-m3ts-native-mega-menu > li:hover .sub-menu.ul-menu-level-2.menu-depth-2 .sub-menu.ul-menu-level-3.menu-depth-3 {
  display:block;
}
ul#menu-m3ts-native-mega-menu > li:hover .sub-menu.ul-menu-level-2.menu-depth-2 .sub-menu.ul-menu-level-3.menu-depth-3 li a,
ul#menu-m3ts-native-mega-menu > li:hover .sub-menu.ul-menu-level-2.menu-depth-2 .sub-menu.ul-menu-level-3.menu-depth-3 li .click-trigger {
  padding:10px;
  display:block;
}
ul#menu-m3ts-native-mega-menu .menu-depth-3 li {
	transition: all 0.2s linear;
}
ul#menu-m3ts-native-mega-menu .menu-depth-3 li:hover {
	background: #c83a23;
}

/** 
 * hover bg image icon 
 **/
.ul-menu-level-2.menu-depth-2 > li:hover > .img-link::after {
    content: "";
    border: solid #ffffff;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    margin-left: 10px; /* Adjust margin-left as needed */
    vertical-align: middle;
    transform: rotate(315deg); /* Keep initial rotation */
    transition: transform 0.2s ease-in-out; /* Adjust transition for transform property */
}

.ul-menu-level-2.menu-depth-2 > li:hover > .img-link::after {
    animation: slide .3s ease-in-out forwards; /* Apply animation */
}

@keyframes slide {
    0% {
        transform: rotate(315deg) translateX(-100px); /* Initial transform */
    }
    100% {
        transform: rotate(315deg) translateX(0px); /* Final transform */
    }
}
.menu-depth-3 {
    opacity: 0;
    transform: translateY(100%);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.menu-depth-2 > li:hover .menu-depth-3 {
    opacity: 1;
    transform: translateY(0%);
    transition: opacity 0.3s ease, transform 0.5s ease;
}
